import request from '@/utils/request'

// 添加公告
export function addNotice(data) {
  return request({
    url: 'ecloud-task-center/msgCenter/addMsg',
    method: 'post',
    data
  })
}

// 获取公告
export function getNotice(data) {
  return request({
    url: 'ecloud-task-center/msgCenter/queryMsgSum',
    method: 'post',
    data
  })
}

// 编辑公告
export function editNotice(data) {
  return request({
    url: 'ecloud-task-center/msgCenter/updateMsgDetail',
    method: 'post',
    data
  })
}

// 删除公告
export function delNotice(data) {
  return request({
    url: 'ecloud-task-center/msgCenter/deleteMsg',
    method: 'post',
    data
  })
}

// 获取公告详情
export function getNoticeDetail(data) {
  return request({
    url: 'ecloud-task-center/msgCenter/queryMsgDetail',
    method: 'post',
    data
  })
}



